Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleQuaternion Class Reference

参照方法が複数ある柔軟なQuaternion型を扱うクラス。 More...

Inheritance diagram for FlexibleQuaternion:

## Public Member Functions
| FlexibleQuaternion ()
| FlexibleQuaternionデフォルトコンストラクタ More...
| FlexibleQuaternion (Quaternion value)
| FlexibleQuaternionコンストラクタ More...
| FlexibleQuaternion (QuaternionParameterReference parameter)
| FlexibleQuaternionコンストラクタ More...
| FlexibleQuaternion (InputSlotQuaternion slot)
| FlexibleQuaternionコンストラクタ More...
override object | GetValueObject ()
| 値をobjectで返す。 More...

## Static Public Member Functions
static | operator Quaternion (FlexibleQuaternion flexible)
| FlexibleQuaternionをQuaternionにキャスト。 More...
static | operator FlexibleQuaternion (Quaternion value)
| QuaternionをFlexibleQuaternionにキャスト。 More...

## Properties
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
Quaternion | value`[get]`
| 値を返す More...
Properties inherited from FlexibleFieldBase
FlexibleType | type`[get]`
| Typeを返す More...
abstract System.Type | fieldType`[get]`
| フィールドの型を返す。 More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleFieldBase
FlexibleType | _Type = FlexibleType.Constant
| 値の指定タイプ More...

## Detailed Description

参照方法が複数ある柔軟なQuaternion型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleQuaternion() [1/4]

FlexibleQuaternion | ( |  | ) |

FlexibleQuaternionデフォルトコンストラクタ

## ◆ FlexibleQuaternion() [2/4]

FlexibleQuaternion | ( | Quaternion | value | ) |

FlexibleQuaternionコンストラクタ

Parameters

  value | 値

## ◆ FlexibleQuaternion() [3/4]

FlexibleQuaternion | ( | QuaternionParameterReference | parameter | ) |

FlexibleQuaternionコンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleQuaternion() [4/4]

FlexibleQuaternion | ( | InputSlotQuaternion | slot | ) |

FlexibleQuaternionコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

## ◆ GetValueObject()

override object GetValueObject | ( |  | ) |
| virtual

値をobjectで返す。

Returns
  値のobject

Implements FlexibleFieldBase.

## ◆ operator FlexibleQuaternion()

static operator FlexibleQuaternion | ( | Quaternion | value | ) |
| explicit static

QuaternionをFlexibleQuaternionにキャスト。

Parameters

  value | Quaternion

## ◆ operator Quaternion()

static operator Quaternion | ( | FlexibleQuaternion | flexible | ) |
| explicit static

FlexibleQuaternionをQuaternionにキャスト。

Parameters

  flexible | FlexibleQuaternion

## Property Documentation

## ◆ fieldType

override System.Type fieldType
| get

フィールドの型を返す。

## ◆ parameter

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

## ◆ value

Quaternion value
| get

値を返す